# teleswagger

Teleswagger - the Ruby gem for the Telegram bot API

This is a swagger defenition for [Telegram bot API](https://core.telegram.org/bots/api). 

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 3.6
- Package version: 0.0.1
- Build date: 2018-02-27T21:54:02.002+04:00
- Build package: class io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build teleswagger.gemspec
```

Then either install the gem locally:

```shell
gem install ./teleswagger-0.0.1.gem
```
(for development, run `gem install --dev ./teleswagger-0.0.1.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'teleswagger', '~> 0.0.1'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'teleswagger', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'teleswagger'

api_instance = Teleswagger::AttachmentsApi.new

token = "token_example" # String | bot's token to authorize the request

opts = { 
  body: Teleswagger::EditMessageLiveLocationBody.new # EditMessageLiveLocationBody | 
}

begin
  result = api_instance.edit_message_live_location(token, , opts)
  p result
rescue Teleswagger::ApiError => e
  puts "Exception when calling AttachmentsApi->edit_message_live_location: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://api.telegram.org/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Teleswagger::AttachmentsApi* | [**edit_message_live_location**](docs/AttachmentsApi.md#edit_message_live_location) | **POST** /bot{token}/editMessageLiveLocation | 
*Teleswagger::AttachmentsApi* | [**get_file**](docs/AttachmentsApi.md#get_file) | **GET** /bot{token}/getFile | 
*Teleswagger::AttachmentsApi* | [**send_audio**](docs/AttachmentsApi.md#send_audio) | **POST** /bot{token}/sendAudio | 
*Teleswagger::AttachmentsApi* | [**send_audio_link**](docs/AttachmentsApi.md#send_audio_link) | **POST** /bot{token}/sendAudio#link | 
*Teleswagger::AttachmentsApi* | [**send_contact**](docs/AttachmentsApi.md#send_contact) | **POST** /bot{token}/sendContact | 
*Teleswagger::AttachmentsApi* | [**send_document**](docs/AttachmentsApi.md#send_document) | **POST** /bot{token}/sendDocument | 
*Teleswagger::AttachmentsApi* | [**send_document_link**](docs/AttachmentsApi.md#send_document_link) | **POST** /bot{token}/sendDocument#link | 
*Teleswagger::AttachmentsApi* | [**send_location**](docs/AttachmentsApi.md#send_location) | **POST** /bot{token}/sendLocation | 
*Teleswagger::AttachmentsApi* | [**send_media_group_link**](docs/AttachmentsApi.md#send_media_group_link) | **POST** /bot{token}/sendMediaGroup#link | 
*Teleswagger::AttachmentsApi* | [**send_photo**](docs/AttachmentsApi.md#send_photo) | **POST** /bot{token}/sendPhoto | 
*Teleswagger::AttachmentsApi* | [**send_photo_link**](docs/AttachmentsApi.md#send_photo_link) | **POST** /bot{token}/sendPhoto#link | 
*Teleswagger::AttachmentsApi* | [**send_sticker**](docs/AttachmentsApi.md#send_sticker) | **POST** /bot{token}/sendSticker | 
*Teleswagger::AttachmentsApi* | [**send_sticker_link**](docs/AttachmentsApi.md#send_sticker_link) | **POST** /bot{token}/sendSticker#link | 
*Teleswagger::AttachmentsApi* | [**send_venue**](docs/AttachmentsApi.md#send_venue) | **POST** /bot{token}/sendVenue | 
*Teleswagger::AttachmentsApi* | [**send_video**](docs/AttachmentsApi.md#send_video) | **POST** /bot{token}/sendVideo | 
*Teleswagger::AttachmentsApi* | [**send_video_link**](docs/AttachmentsApi.md#send_video_link) | **POST** /bot{token}/sendVideo#link | 
*Teleswagger::AttachmentsApi* | [**send_video_note**](docs/AttachmentsApi.md#send_video_note) | **POST** /bot{token}/sendVideoNote | 
*Teleswagger::AttachmentsApi* | [**send_video_note_link**](docs/AttachmentsApi.md#send_video_note_link) | **POST** /bot{token}/sendVideoNote#link | 
*Teleswagger::AttachmentsApi* | [**send_voice**](docs/AttachmentsApi.md#send_voice) | **POST** /bot{token}/sendVoice | 
*Teleswagger::AttachmentsApi* | [**send_voice_link**](docs/AttachmentsApi.md#send_voice_link) | **POST** /bot{token}/sendVoice#link | 
*Teleswagger::AttachmentsApi* | [**stop_message_live_location**](docs/AttachmentsApi.md#stop_message_live_location) | **POST** /bot{token}/stopMessageLiveLocation | 
*Teleswagger::CallbacksApi* | [**answer_callback_query**](docs/CallbacksApi.md#answer_callback_query) | **POST** /bot{token}/answerCallbackQuery | 
*Teleswagger::ChatsApi* | [**delete_chat_photo**](docs/ChatsApi.md#delete_chat_photo) | **POST** /bot{token}/deleteChatPhoto | 
*Teleswagger::ChatsApi* | [**delete_chat_sticker_set**](docs/ChatsApi.md#delete_chat_sticker_set) | **GET** /bot{token}/deleteChatStickerSet | 
*Teleswagger::ChatsApi* | [**export_chat_invite_link**](docs/ChatsApi.md#export_chat_invite_link) | **GET** /bot{token}/exportChatInviteLink | 
*Teleswagger::ChatsApi* | [**get_chat**](docs/ChatsApi.md#get_chat) | **GET** /bot{token}/getChat | 
*Teleswagger::ChatsApi* | [**get_chat_administrators**](docs/ChatsApi.md#get_chat_administrators) | **GET** /bot{token}/getChatAdministrators | 
*Teleswagger::ChatsApi* | [**get_chat_member**](docs/ChatsApi.md#get_chat_member) | **GET** /bot{token}/getChatMember | 
*Teleswagger::ChatsApi* | [**get_chat_members_count**](docs/ChatsApi.md#get_chat_members_count) | **GET** /bot{token}/getChatMembersCount | 
*Teleswagger::ChatsApi* | [**kick_chat_member**](docs/ChatsApi.md#kick_chat_member) | **GET** /bot{token}/kickChatMember | 
*Teleswagger::ChatsApi* | [**leave_chat**](docs/ChatsApi.md#leave_chat) | **GET** /bot{token}/leaveChat | 
*Teleswagger::ChatsApi* | [**pin_chat_message**](docs/ChatsApi.md#pin_chat_message) | **POST** /bot{token}/pinChatMessage | 
*Teleswagger::ChatsApi* | [**promote_chat_member**](docs/ChatsApi.md#promote_chat_member) | **POST** /bot{token}/promoteChatMember | 
*Teleswagger::ChatsApi* | [**restrict_chat_member**](docs/ChatsApi.md#restrict_chat_member) | **POST** /bot{token}/restrictChatMember | 
*Teleswagger::ChatsApi* | [**send_chat_action**](docs/ChatsApi.md#send_chat_action) | **GET** /bot{token}/sendChatAction | 
*Teleswagger::ChatsApi* | [**set_chat_description**](docs/ChatsApi.md#set_chat_description) | **POST** /bot{token}/setChatDescription | 
*Teleswagger::ChatsApi* | [**set_chat_photo**](docs/ChatsApi.md#set_chat_photo) | **GET** /bot{token}/setChatPhoto | 
*Teleswagger::ChatsApi* | [**set_chat_sticker_set**](docs/ChatsApi.md#set_chat_sticker_set) | **GET** /bot{token}/setChatStickerSet | 
*Teleswagger::ChatsApi* | [**set_chat_title**](docs/ChatsApi.md#set_chat_title) | **POST** /bot{token}/setChatTitle | 
*Teleswagger::ChatsApi* | [**unban_chat_member**](docs/ChatsApi.md#unban_chat_member) | **GET** /bot{token}/unbanChatMember | 
*Teleswagger::ChatsApi* | [**unpin_chat_message**](docs/ChatsApi.md#unpin_chat_message) | **POST** /bot{token}/unpinChatMessage | 
*Teleswagger::GamesApi* | [**get_game_high_scores**](docs/GamesApi.md#get_game_high_scores) | **GET** /bot{token}/getGameHighScores | 
*Teleswagger::GamesApi* | [**send_game**](docs/GamesApi.md#send_game) | **POST** /bot{token}/sendGame | 
*Teleswagger::GamesApi* | [**set_game_score**](docs/GamesApi.md#set_game_score) | **GET** /bot{token}/setGameScore | 
*Teleswagger::InlineApi* | [**answer_inline_query**](docs/InlineApi.md#answer_inline_query) | **POST** /bot{token}/answerInlineQuery | 
*Teleswagger::MessagesApi* | [**delete_message**](docs/MessagesApi.md#delete_message) | **GET** /bot{token}/deleteMessage | 
*Teleswagger::MessagesApi* | [**edit_message_caption**](docs/MessagesApi.md#edit_message_caption) | **POST** /bot{token}/editMessageCaption | 
*Teleswagger::MessagesApi* | [**edit_message_reply_markup**](docs/MessagesApi.md#edit_message_reply_markup) | **POST** /bot{token}/editMessageReplyMarkup | 
*Teleswagger::MessagesApi* | [**edit_message_text**](docs/MessagesApi.md#edit_message_text) | **POST** /bot{token}/editMessageText | 
*Teleswagger::MessagesApi* | [**forward_message**](docs/MessagesApi.md#forward_message) | **POST** /bot{token}/forwardMessage | 
*Teleswagger::MessagesApi* | [**send_message**](docs/MessagesApi.md#send_message) | **POST** /bot{token}/sendMessage | 
*Teleswagger::MessagesApi* | [**send_message_bytes**](docs/MessagesApi.md#send_message_bytes) | **POST** /bot{token}/sendMessage#bytes | 
*Teleswagger::PaymentsApi* | [**answer_pre_checkout_query**](docs/PaymentsApi.md#answer_pre_checkout_query) | **GET** /bot{token}/answerPreCheckoutQuery | 
*Teleswagger::PaymentsApi* | [**answer_shipping_query**](docs/PaymentsApi.md#answer_shipping_query) | **POST** /bot{token}/answerShippingQuery | 
*Teleswagger::PaymentsApi* | [**send_invoice**](docs/PaymentsApi.md#send_invoice) | **POST** /bot{token}/sendInvoice | 
*Teleswagger::StickersApi* | [**add_sticker_to_set**](docs/StickersApi.md#add_sticker_to_set) | **POST** /bot{token}/addStickerToSet | 
*Teleswagger::StickersApi* | [**add_sticker_to_set_link**](docs/StickersApi.md#add_sticker_to_set_link) | **POST** /bot{token}/addStickerToSet#link | 
*Teleswagger::StickersApi* | [**create_new_sticker_set**](docs/StickersApi.md#create_new_sticker_set) | **POST** /bot{token}/createNewStickerSet | 
*Teleswagger::StickersApi* | [**create_new_sticker_set_link**](docs/StickersApi.md#create_new_sticker_set_link) | **POST** /bot{token}/createNewStickerSet#link | 
*Teleswagger::StickersApi* | [**delete_sticker_from_set**](docs/StickersApi.md#delete_sticker_from_set) | **POST** /bot{token}/deleteStickerFromSet | 
*Teleswagger::StickersApi* | [**get_sticker_set**](docs/StickersApi.md#get_sticker_set) | **GET** /bot{token}/getStickerSet | 
*Teleswagger::StickersApi* | [**set_sticker_position_in_set**](docs/StickersApi.md#set_sticker_position_in_set) | **POST** /bot{token}/setStickerPositionInSet | 
*Teleswagger::StickersApi* | [**upload_sticker_file**](docs/StickersApi.md#upload_sticker_file) | **POST** /bot{token}/uploadStickerFile | 
*Teleswagger::StickersApi* | [**upload_sticker_file_link**](docs/StickersApi.md#upload_sticker_file_link) | **POST** /bot{token}/uploadStickerFile#link | 
*Teleswagger::UpdatesApi* | [**delete_webhook**](docs/UpdatesApi.md#delete_webhook) | **GET** /bot{token}/deleteWebhook | 
*Teleswagger::UpdatesApi* | [**get_updates**](docs/UpdatesApi.md#get_updates) | **POST** /bot{token}/getUpdates | 
*Teleswagger::UpdatesApi* | [**get_webhook_info**](docs/UpdatesApi.md#get_webhook_info) | **GET** /bot{token}/getWebhookInfo | 
*Teleswagger::UpdatesApi* | [**set_webhook**](docs/UpdatesApi.md#set_webhook) | **POST** /bot{token}/setWebhook | 
*Teleswagger::UsersApi* | [**get_me**](docs/UsersApi.md#get_me) | **GET** /bot{token}/getMe | 
*Teleswagger::UsersApi* | [**get_user_profile_photos**](docs/UsersApi.md#get_user_profile_photos) | **GET** /bot{token}/getUserProfilePhotos | 


## Documentation for Models

 - [Teleswagger::AddStickerToSetLinkBody](docs/AddStickerToSetLinkBody.md)
 - [Teleswagger::AllowedUpdate](docs/AllowedUpdate.md)
 - [Teleswagger::Animation](docs/Animation.md)
 - [Teleswagger::AnswerCallbackQueryBody](docs/AnswerCallbackQueryBody.md)
 - [Teleswagger::AnswerInlineQueryBody](docs/AnswerInlineQueryBody.md)
 - [Teleswagger::AnswerShippingQueryBody](docs/AnswerShippingQueryBody.md)
 - [Teleswagger::Audio](docs/Audio.md)
 - [Teleswagger::CallbackGame](docs/CallbackGame.md)
 - [Teleswagger::CallbackQuery](docs/CallbackQuery.md)
 - [Teleswagger::Chat](docs/Chat.md)
 - [Teleswagger::ChatMember](docs/ChatMember.md)
 - [Teleswagger::ChatPhoto](docs/ChatPhoto.md)
 - [Teleswagger::ChosenInlineResult](docs/ChosenInlineResult.md)
 - [Teleswagger::Contact](docs/Contact.md)
 - [Teleswagger::CreateNewStickerSetLinkBody](docs/CreateNewStickerSetLinkBody.md)
 - [Teleswagger::Document](docs/Document.md)
 - [Teleswagger::EditMessageCaptionBody](docs/EditMessageCaptionBody.md)
 - [Teleswagger::EditMessageLiveLocationBody](docs/EditMessageLiveLocationBody.md)
 - [Teleswagger::EditMessageReplyMarkupBody](docs/EditMessageReplyMarkupBody.md)
 - [Teleswagger::EditMessageTextBody](docs/EditMessageTextBody.md)
 - [Teleswagger::Error](docs/Error.md)
 - [Teleswagger::File](docs/File.md)
 - [Teleswagger::ForceReply](docs/ForceReply.md)
 - [Teleswagger::Game](docs/Game.md)
 - [Teleswagger::GameHighScore](docs/GameHighScore.md)
 - [Teleswagger::GetUpdatesBody](docs/GetUpdatesBody.md)
 - [Teleswagger::InlineKeyboardButton](docs/InlineKeyboardButton.md)
 - [Teleswagger::InlineKeyboardMarkup](docs/InlineKeyboardMarkup.md)
 - [Teleswagger::InlineQuery](docs/InlineQuery.md)
 - [Teleswagger::InlineQueryResultArticle](docs/InlineQueryResultArticle.md)
 - [Teleswagger::InlineQueryResultAudio](docs/InlineQueryResultAudio.md)
 - [Teleswagger::InlineQueryResultCachedAudio](docs/InlineQueryResultCachedAudio.md)
 - [Teleswagger::InlineQueryResultCachedDocument](docs/InlineQueryResultCachedDocument.md)
 - [Teleswagger::InlineQueryResultCachedGif](docs/InlineQueryResultCachedGif.md)
 - [Teleswagger::InlineQueryResultCachedMpeg4Gif](docs/InlineQueryResultCachedMpeg4Gif.md)
 - [Teleswagger::InlineQueryResultCachedPhoto](docs/InlineQueryResultCachedPhoto.md)
 - [Teleswagger::InlineQueryResultCachedSticker](docs/InlineQueryResultCachedSticker.md)
 - [Teleswagger::InlineQueryResultCachedVideo](docs/InlineQueryResultCachedVideo.md)
 - [Teleswagger::InlineQueryResultCachedVoice](docs/InlineQueryResultCachedVoice.md)
 - [Teleswagger::InlineQueryResultContact](docs/InlineQueryResultContact.md)
 - [Teleswagger::InlineQueryResultDocument](docs/InlineQueryResultDocument.md)
 - [Teleswagger::InlineQueryResultGame](docs/InlineQueryResultGame.md)
 - [Teleswagger::InlineQueryResultGif](docs/InlineQueryResultGif.md)
 - [Teleswagger::InlineQueryResultLocation](docs/InlineQueryResultLocation.md)
 - [Teleswagger::InlineQueryResultMpeg4Gif](docs/InlineQueryResultMpeg4Gif.md)
 - [Teleswagger::InlineQueryResultPhoto](docs/InlineQueryResultPhoto.md)
 - [Teleswagger::InlineQueryResultVenue](docs/InlineQueryResultVenue.md)
 - [Teleswagger::InlineQueryResultVideo](docs/InlineQueryResultVideo.md)
 - [Teleswagger::InlineQueryResultVoice](docs/InlineQueryResultVoice.md)
 - [Teleswagger::InlineResponse200](docs/InlineResponse200.md)
 - [Teleswagger::InlineResponse2001](docs/InlineResponse2001.md)
 - [Teleswagger::InlineResponse2002](docs/InlineResponse2002.md)
 - [Teleswagger::InlineResponse2003](docs/InlineResponse2003.md)
 - [Teleswagger::InlineResponse2004](docs/InlineResponse2004.md)
 - [Teleswagger::InlineResponse2005](docs/InlineResponse2005.md)
 - [Teleswagger::InlineResponse2006](docs/InlineResponse2006.md)
 - [Teleswagger::InlineResponse2007](docs/InlineResponse2007.md)
 - [Teleswagger::InlineResponse2008](docs/InlineResponse2008.md)
 - [Teleswagger::InlineResponse2009](docs/InlineResponse2009.md)
 - [Teleswagger::InlineType](docs/InlineType.md)
 - [Teleswagger::InputContactMessageContent](docs/InputContactMessageContent.md)
 - [Teleswagger::InputLocationMessageContent](docs/InputLocationMessageContent.md)
 - [Teleswagger::InputMediaPhoto](docs/InputMediaPhoto.md)
 - [Teleswagger::InputMediaVideo](docs/InputMediaVideo.md)
 - [Teleswagger::InputTextMessageContent](docs/InputTextMessageContent.md)
 - [Teleswagger::InputVenueMessageContent](docs/InputVenueMessageContent.md)
 - [Teleswagger::Invoice](docs/Invoice.md)
 - [Teleswagger::KeyboardButton](docs/KeyboardButton.md)
 - [Teleswagger::LabeledPrice](docs/LabeledPrice.md)
 - [Teleswagger::Location](docs/Location.md)
 - [Teleswagger::MaskPosition](docs/MaskPosition.md)
 - [Teleswagger::Message](docs/Message.md)
 - [Teleswagger::MessageEntity](docs/MessageEntity.md)
 - [Teleswagger::OrderInfo](docs/OrderInfo.md)
 - [Teleswagger::ParseMode](docs/ParseMode.md)
 - [Teleswagger::PhotoSize](docs/PhotoSize.md)
 - [Teleswagger::PreCheckoutQuery](docs/PreCheckoutQuery.md)
 - [Teleswagger::PromoteChatMemberBody](docs/PromoteChatMemberBody.md)
 - [Teleswagger::ReplyKeyboardMarkup](docs/ReplyKeyboardMarkup.md)
 - [Teleswagger::ReplyKeyboardRemove](docs/ReplyKeyboardRemove.md)
 - [Teleswagger::ResponseBool](docs/ResponseBool.md)
 - [Teleswagger::ResponseMessage](docs/ResponseMessage.md)
 - [Teleswagger::ResponseParameters](docs/ResponseParameters.md)
 - [Teleswagger::ResponseUpdate](docs/ResponseUpdate.md)
 - [Teleswagger::RestrictChatMemberBody](docs/RestrictChatMemberBody.md)
 - [Teleswagger::SendAudioLinkBody](docs/SendAudioLinkBody.md)
 - [Teleswagger::SendContactBody](docs/SendContactBody.md)
 - [Teleswagger::SendDocumentLinkBody](docs/SendDocumentLinkBody.md)
 - [Teleswagger::SendGameBody](docs/SendGameBody.md)
 - [Teleswagger::SendInvoiceBody](docs/SendInvoiceBody.md)
 - [Teleswagger::SendLocationBody](docs/SendLocationBody.md)
 - [Teleswagger::SendMediaGroupLinkBody](docs/SendMediaGroupLinkBody.md)
 - [Teleswagger::SendMessageBody](docs/SendMessageBody.md)
 - [Teleswagger::SendPhotoLinkBody](docs/SendPhotoLinkBody.md)
 - [Teleswagger::SendStickerLinkBody](docs/SendStickerLinkBody.md)
 - [Teleswagger::SendVenueBody](docs/SendVenueBody.md)
 - [Teleswagger::SendVideoLinkBody](docs/SendVideoLinkBody.md)
 - [Teleswagger::SendVideoNoteLinkBody](docs/SendVideoNoteLinkBody.md)
 - [Teleswagger::SendVoiceLinkBody](docs/SendVoiceLinkBody.md)
 - [Teleswagger::ShippingAddress](docs/ShippingAddress.md)
 - [Teleswagger::ShippingOption](docs/ShippingOption.md)
 - [Teleswagger::ShippingQuery](docs/ShippingQuery.md)
 - [Teleswagger::Sticker](docs/Sticker.md)
 - [Teleswagger::StickerSet](docs/StickerSet.md)
 - [Teleswagger::StopMessageLiveLocationBody](docs/StopMessageLiveLocationBody.md)
 - [Teleswagger::SuccessfulPayment](docs/SuccessfulPayment.md)
 - [Teleswagger::Update](docs/Update.md)
 - [Teleswagger::User](docs/User.md)
 - [Teleswagger::UserProfilePhotos](docs/UserProfilePhotos.md)
 - [Teleswagger::Venue](docs/Venue.md)
 - [Teleswagger::Video](docs/Video.md)
 - [Teleswagger::VideoNote](docs/VideoNote.md)
 - [Teleswagger::Voice](docs/Voice.md)
 - [Teleswagger::WebhookInfo](docs/WebhookInfo.md)


## Documentation for Authorization

 All endpoints do not require authorization.

